Name:          drbd-utils
Version:       0.7.10
Release:       %mkrel 4
Summary:       Utilities to manage DRBD devices
Summary(pt_BR):Utilitrios para gerenciar dispositivos DRBD
Summary(es):   Utilities to manage DRBD devices
License:       GPL
Group: 	       System/Kernel and hardware
URL: 	       http://www.drbd.org/
Source:        http://oss.linbit.com/drbd/drbd-%{version}.tar.gz
Patch1:        drbd-adjust_paths.patch
BuildRequires: bison
BuildRequires: flex
Requires(pre): rpm-helper
Requires(post):initscripts
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%package heartbeat
Summary:       Script to help integration with heartbeat
Summary(pt_BR):Script para facilitar a integraao com o heartbeaScript para facilitar a integraao com o heartbeat
Summary(es):   Script to help integration with heartbeat
Group:         System/Kernel and hardware
Requires:      heartbeat
Requires:      %{name} = %{version}

%description
DRBD is a block device which is designed to build High Availability clusters.
This is done by mirroring a whole block device via (maybe dedicated) network.
You could see it as a network RAID 1. This package contains the utils to
manage DRBD devices.

%description -l pt_BR
O DRBD  um dispositivo de bloco que  projetado para construir clusters de
Alta Disponibilidade. Isto  feito espelhando um dispositivo de bloco inteiro
via rede (dedicada ou no). Pode ser visto como um RAID 1 via rede. Este pacote
contm utilitrios para gerenciar dispositivos DRBD.

%description -l es
DRBD is a block device which is designed to build High Availability clusters.
This is done by mirroring a whole block device via (maybe dedicated) network.
You could see it as a network RAID 1. This package contains the utils to
manage DRBD devices.

%description heartbeat
Installs the datadisk script, designed to ease integration with heartbeat.

%description -l pt_BR heartbeat
Instala o script datadisk, criado para facilitar a integrao do drbd com o
heartbeat.

%description -l es heartbeat
Installs the datadisk script, designed to ease integration with heartbeat.

%prep
%setup -q -n drbd-%{version}
%patch1 -p1

%build
make -j $NRPROC tools 

%install
make PREFIX=%{buildroot} install-tools

install -d %{buildroot}%{_localstatedir}/lib/drbd
install -d %{buildroot}{%{_bindir},%{_sbindir}}
install -m 755 testing/read_gc.pl %{buildroot}%{_bindir}/read_gc.pl
install -m 755 testing/write_gc.pl %{buildroot}%{_bindir}/write_gc.pl
install -m 755 testing/compare.pl %{buildroot}%{_bindir}/compare.pl
mv %{buildroot}/sbin/drbdsetup  %{buildroot}%{_sbindir}/drbdsetup
mv %{buildroot}/sbin/drbdadm  %{buildroot}%{_sbindir}/drbdadm

#%i18n_pkgs %{name}

%clean
rm -rf %{buildroot}

%post
%_post_service drbd

%preun 
%_preun_service drbd

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/drbd.conf
%dir %{_localstatedir}/lib/drbd
%{_sysconfdir}/rc.d/init.d/drbd
%{_sbindir}/drbdsetup
%{_sbindir}/drbdadm
%{_bindir}/read_gc.pl
%{_bindir}/write_gc.pl
%{_bindir}/compare.pl
%defattr(0644,root,root,0755)
%doc %{_mandir}/man5/drbd.conf.5*
%doc %{_mandir}/man8/drbd.8*
%doc %{_mandir}/man8/drbdsetup.8*
%doc %{_mandir}/man8/drbdadm.8*

%files heartbeat
%defattr(-,root,root)
%{_sysconfdir}/ha.d/resource.d/drbddisk
%defattr(0644,root,root,0755)

%changelog
* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.10-4mdk
- fix BuildRequires 

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.10-3mdk
- Add Bison as BuildRequires

* Fri Jul 08 2005 Flavio Bruno Leitner <flavio@mandriva.com> 0.7.10-2mdk
- fixed URL. 
  (thanks to Buchan Milne)

* Wed Jun 23 2005 Flavio Bruno Leitner <flavio@mandriva.com> 0.7.10-1mdk
- first package

